libsyncml 0.5.4

- Main Page
- Modules
- Data Structures
- Files

Typedefs | Functions
XML Assembler
Internal XML/WBXML API

Interfaces to assemble SyncML XML messages. More...

Collaboration diagram for XML Assembler:

## Typedefs

typedef struct SmlXmlAssembler | SmlXmlAssembler

## Functions

SmlXmlAssembler * | smlXmlAssemblerNew (SmlAssembler *assembler, SmlAssemblerFunctions *functions, SmlError **error)
| Creates a new XML assembler.
SmlBool | smlXmlAssemblerAddHeader (SmlXmlAssembler *assembler, SmlSession *session, SmlError **error)
SmlBool | smlXmlAssemblerAddStatus (SmlXmlAssembler *assembler, SmlStatus *status, SmlError **error)
void | smlXmlAssemblerFree (SmlXmlAssembler *assm)
SmlBool | smlXmlAssemblerStart (SmlXmlAssembler *assm, SmlSession *session, SmlError **error)
SmlBool | smlXmlAssemblerEnd (SmlXmlAssembler *assm, SmlError **error)
SmlBool | smlXmlAssemblerRun (SmlXmlAssembler *assm, char **data, unsigned int *size, SmlBool *end, SmlBool final, unsigned int maxsize, SmlError **error)
SmlBool | smlXmlAssemblerRunFull (SmlXmlAssembler *assm, char **data, unsigned int *size, SmlBool *end, SmlBool final, SmlBool check, unsigned int maxsize, SmlError **error)
SmlBool | smlXmlDevInfAssemble (SmlDevInf *devinf, SmlDevInfVersion version, char **data, unsigned int *size, SmlError **error)
void | smlXmlAssemblerRestoreCommands (SmlXmlAssembler *assm)

## Detailed Description

Interfaces to assemble SyncML XML messages.

## Function Documentation

SmlXmlAssembler* smlXmlAssemblerNew | ( | SmlAssembler * | assembler,
|  | SmlAssemblerFunctions * | functions,
|  | SmlError ** | error
| ) |  |

Creates a new XML assembler.

Parameters:

  session | The session for which to create the assembler
  error | A pointer to an error struct

Returns:
  The new assembler or NULL in the case of an error

Definition at line 1978 of file sml_xml_assm.c.

Referenced by smlAssemblerNew().

Here is the call graph for this function: